<script lang="ts">
    import { Content, Header, Panel } from "@smui-extra/accordion";
    import IconButton, { Icon } from "@smui/icon-button";
    import OptionInput from "./OptionInput.svelte";

    export let option: any;
    export let value: string;
    let open = false;
</script>

<Panel bind:open>
    <Header>
        {option.name}
        <span slot="description">{option.description}</span>
        <IconButton slot="icon" toggle pressed={open}>
            <Icon class="material-icons" on>expand_less</Icon>
            <Icon class="material-icons">expand_more</Icon>
        </IconButton>
    </Header>
    <Content>
        <OptionInput
            description={option.description}
            bind:value
            label={option.name}
            placeholder={option.placeholder}
            enterAction={() => option.update(value)}
        />
    </Content>
</Panel>
